<?php
/*
 * file/package_define.inc.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
/**
 * ファイル登録パッケージ 定義ファイル
 * 
 * @package file ファイル登録パッケージ
 * @version 1.1.00
 * @author  <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.3
 */
/** パッケージバージョン	*/
define('FILE_VERSION', '1.1.00');
/** ファイルバイナリ登録テーブル	*/
define('TABLE_NAME_FILE_BIN', 'file_bin' );
/** ファイルインサート時のロック名称	*/
define('LOCK_NAME_FILE_BIN_INSERT',	'file_insert_lock' );
/** DBインサート時の同時インサートバイト数	*/
define('FILE_BIN_INSERT_AT_ONCE',	1024 * 1024 );
/** セッションに保存した名称配列のセッション名称	*/
define('SESSION_NAME_FILE_UPLOADER_SESSION_NAME_ARRAY', 'file.upload.session_object_name_array' );
/** 公開フォルダキャッシュルートパス	*/
define('FILE_PUBLIC_CACHE_FILE_URI','/file/reg/');

if( defined('DIR_PATH_DATA') && file_exists(DIR_PATH_DATA) && file_exists(DIR_PATH_DATA.'/file.define.inc.php') ) {
	@require_once(DIR_PATH_DATA.'/file.define.inc.php');
}
?>